#pragma once

#include <util/generic/ptr.h>


namespace NSrvKernel {
class TConnDescr;
class TRequest;
namespace NSrcrwr {
class IHelper;
class TAddrs;
}
}

namespace NModSrcrwr {

class THandler final {
public:
    THandler(THolder<NSrvKernel::NSrcrwr::IHelper>&& helper);

    bool Handle(const NSrvKernel::TConnDescr& descr, const TString& id) const;
    void CleanUp(const NSrvKernel::TConnDescr& descr) const;

private:
    THolder<NSrvKernel::NSrcrwr::IHelper> SrcrwrHelper_;
};

}